# The "cen" Package

These routines are meant to provide strong encryption for channel objects. For greater efficiency and better security, data passed through should be compressed.

Library: karma
Link With: -lkarma

#### Functions

cen_idea | Add IDEA encryption to a channel object.

## Functions

ChConverter cen_idea (Channel channel, char read_key[EN_IDEA_KEY_SIZE], char read_init_vector[EN_IDEA_BLOCK_SIZE], char write_key[EN_IDEA_KEY_SIZE], char write_init_vector[EN_IDEA_BLOCK_SIZE], flag clear)

This routine will register converter functions for a channel so that all IO will be encrypted using the IDEA cipher in Cipher Feed Back mode.

Parameters:

- read_key : The 16 byte IDEA key used when reading.
- read_init_vector : The 8 byte initialisation vector used when reading.
- write_key : The 16 byte IDEA key used when writing.
- write_init_vector : The 8 byte initialisation vector used when writing.
- clear : If TRUE the keys and initialisation vectors will be cleared after use (highly recommended if they will not be needed again), irrespective of whether the routine fails.

Returns: A ChConverter object on success (which may be used in a call to ch_unregister_converter), else NULL.
Multithreading Level: Unsafe

Back to Karma Home Page